Latest 1.1.0
Homepage https://github.com/MZC0829/AlertEasily
License MIT
Platforms ios 8.0, requires ARC
Frameworks UIKit
Authors
Easy to show UIAlertController, written in Swift.

Cocoapods

1. Add the following line to your Podfile:

platform :ios, '8.0'

target 'YourIosApps' do

  use_frameworks!

  pod 'AlertEasily', '~> 1.0.0'

end

2. Then, run the following command:

$ pod install

Carthage

1、run the following command:

$ touch Cartfile

2、Add the following line to your Cartfile:

github "MZC0829/AlertEasily"

3、run the following command:

$ carthage update

Requirements

  • iOS 8.0+
  • swift 3+ and swift 4

Usage

– just like

showAlert(title: "This is AlertEasily")

– or

showAlert(title: "AlertEasily", message: "This is AlertEasily", preferredStyle: .alert, defaultHandler: {

            print("clicked default action")

        }, cancelHandler: nil)

– or

showAlert(title: "AlertEasily", message: "This is AlertEasily", preferredStyle: .alert, defaultHandler: {

            print("clicked default action")

        }) {

            print("clicked cancel action")
        }

Latest podspec

{
    "name": "AlertEasily",
    "version": "1.1.0",
    "summary": "Easy to show UIAlertController.",
    "description": "Easy to display UIAlertController.",
    "homepage": "https://github.com/MZC0829/AlertEasily",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "maizhichao": "[email protected]"
    },
    "platforms": {
        "ios": "8.0"
    },
    "source": {
        "git": "https://github.com/MZC0829/AlertEasily.git",
        "tag": "1.1.0"
    },
    "source_files": [
        "AlertEasily/FuncHelper.swift",
        "AlertEasily/ExtensionUIViewController.swift"
    ],
    "frameworks": "UIKit",
    "requires_arc": true,
    "pod_target_xcconfig": {
        "SWIFT_VERSION": "4.0"
    },
    "pushed_with_swift_version": "3.0"
}

Pin It on Pinterest

Share This